[Bug 1833229] Re: `--extra-index-url` not working for PIP

2020-10-14 Thread Gerard Weatherby
Yesterday's (10-13) update of the PPA has broken the fix.

-- 
You received this bug notification because you are a member of Ubuntu
Bugs, which is subscribed to Ubuntu.
https://bugs.launchpad.net/bugs/1833229

Title:
  `--extra-index-url` not working for PIP

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/python-pip/+bug/1833229/+subscriptions

-- 
ubuntu-bugs mailing list
ubuntu-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/ubuntu-bugs

[Bug 1833229] Re: `--extra-index-url` not working for PIP

2020-09-11 Thread Gerard Weatherby
To stop automatic updates from overwriting the bug fix version of python3-pip, 
create file
/etc/apt/preferences.d/citrain-pin-700 with the following content:
Package: python3-pip 
Pin: origin "ppa.launchpad.net" 
Pin-Priority: 700

-- 
You received this bug notification because you are a member of Ubuntu
Bugs, which is subscribed to Ubuntu.
https://bugs.launchpad.net/bugs/1833229

Title:
  `--extra-index-url` not working for PIP

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/python-pip/+bug/1833229/+subscriptions

-- 
ubuntu-bugs mailing list
ubuntu-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/ubuntu-bugs

[Bug 1833229] Re: `--extra-index-url` not working for PIP

2020-08-20 Thread Gerard Weatherby
It appears the ppa is no longer "just working" because the mainline
bionic Ubuntu version of python3-pip has incremented. That is to say,
even after adding the ppa and doing apt update, apt-get install pulls
the buggy one from the mainline repo.

I was able to get the right version by using:
apt install python3-pip=9.0.1-2.3~ubuntu1.18.04.2~ubuntu18.04.1~ppa202002141134 
python-pip-whl=9.0.1-2.3~ubuntu1.18.04.2~ubuntu18.04.1~ppa202002141134

-- 
You received this bug notification because you are a member of Ubuntu
Bugs, which is subscribed to Ubuntu.
https://bugs.launchpad.net/bugs/1833229

Title:
  `--extra-index-url` not working for PIP

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/python-pip/+bug/1833229/+subscriptions

-- 
ubuntu-bugs mailing list
ubuntu-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/ubuntu-bugs

[Bug 1833229] Re: `--extra-index-url` not working for PIP

2020-06-15 Thread andrei
I'm not sure how the LTS system works, but for me this doesn't look
Fixed if bug is still present in bionic.

I guess, a quick workaround is to put pip2 >=20.0.2 whl to the extra-
index-url repo and use it.

-- 
You received this bug notification because you are a member of Ubuntu
Bugs, which is subscribed to Ubuntu.
https://bugs.launchpad.net/bugs/1833229

Title:
  `--extra-index-url` not working for PIP

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/python-pip/+bug/1833229/+subscriptions

-- 
ubuntu-bugs mailing list
ubuntu-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/ubuntu-bugs

[Bug 1833229] Re: `--extra-index-url` not working for PIP

2020-05-05 Thread Scott Kitterman
The fix was included in pip 20.0.2 brought in from Debian:

 python-pip | 20.0.2-5ubuntu1   | focal/universe   | source
 python-pip | 20.0.2-5ubuntu1   | groovy/universe  | source

** Changed in: python-pip (Ubuntu)
   Status: Confirmed => Fix Released

-- 
You received this bug notification because you are a member of Ubuntu
Bugs, which is subscribed to Ubuntu.
https://bugs.launchpad.net/bugs/1833229

Title:
  `--extra-index-url` not working for PIP

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/python-pip/+bug/1833229/+subscriptions

-- 
ubuntu-bugs mailing list
ubuntu-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/ubuntu-bugs

[Bug 1833229] Re: `--extra-index-url` not working for PIP

2020-04-13 Thread Akkana Peck
When I use the python3-pip from ppa:ci-train-ppa-service/3690 and run:
/usr/bin/pip3 install --index-url https://test.pypi.org/simple/ 
--extra-index-url https://pypi.org/simple metapho
in a virtualenv that's brand new except that I've installed wheel, I get:

Looking in indexes: https://test.pypi.org/simple/, https://pypi.org/simple
Requirement already satisfied: metapho in 
/home/akkana/.local/lib/python3.7/site-packages (1.0)
Requirement already satisfied: pycairo in /usr/lib/python3/dist-packages (from 
metapho) (1.16.2)
Requirement already satisfied: PyGObject in /usr/lib/python3/dist-packages 
(from metapho) (3.34.0)

Is that what it's supposed to do? I created the virtualenv with python3
-m venv /tmp/testpythonenv,  no --system-site-packages, and what I want
it to do is pull the requirements from pypi.org, not find them in
/usr/lib/python3. (It also shouldn't be putting anything in .local when
I'm using a venv, but that's a different issue.)

Does anyone know if this is thought to be fixed in Fossa?

-- 
You received this bug notification because you are a member of Ubuntu
Bugs, which is subscribed to Ubuntu.
https://bugs.launchpad.net/bugs/1833229

Title:
  `--extra-index-url` not working for PIP

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/python-pip/+bug/1833229/+subscriptions

-- 
ubuntu-bugs mailing list
ubuntu-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/ubuntu-bugs

[Bug 1833229] Re: `--extra-index-url` not working for PIP

2020-04-09 Thread Gerard Weatherby
To make this copy-and-paste obvious for the next person to come by:

add-apt-repository ppa:ci-train-ppa-service/3690
apt update
apt install python3-pip

-- 
You received this bug notification because you are a member of Ubuntu
Bugs, which is subscribed to Ubuntu.
https://bugs.launchpad.net/bugs/1833229

Title:
  `--extra-index-url` not working for PIP

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/python-pip/+bug/1833229/+subscriptions

-- 
ubuntu-bugs mailing list
ubuntu-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/ubuntu-bugs

[Bug 1833229] Re: `--extra-index-url` not working for PIP

2020-03-25 Thread Andrew
Applying https://launchpad.net/~ci-train-ppa-
service/+archive/ubuntu/3690 fixed the issues I was having.

Before:

$ pip3 install --trusted-host packages.[redacted].com --extra-index-url 
http://packages.[redacted].com/software/python --extra-index-url 
https://[redacted].com/pypi/simple/ talos-mrt
Collecting talos-mrt
Exception:
Traceback (most recent call last):
  File "/usr/lib/python3/dist-packages/pip/basecommand.py", line 215, in main
status = self.run(options, args)
  File "/usr/lib/python3/dist-packages/pip/commands/install.py", line 353, in 
run
wb.build(autobuilding=True)
  File "/usr/lib/python3/dist-packages/pip/wheel.py", line 749, in build
self.requirement_set.prepare_files(self.finder)
  File "/usr/lib/python3/dist-packages/pip/req/req_set.py", line 380, in 
prepare_files
ignore_dependencies=self.ignore_dependencies))
  File "/usr/lib/python3/dist-packages/pip/req/req_set.py", line 554, in 
_prepare_file
require_hashes
  File "/usr/lib/python3/dist-packages/pip/req/req_install.py", line 278, in 
populate_link
self.link = finder.find_requirement(self, upgrade)
  File "/usr/lib/python3/dist-packages/pip/index.py", line 465, in 
find_requirement
all_candidates = self.find_all_candidates(req.name)
  File "/usr/lib/python3/dist-packages/pip/index.py", line 423, in 
find_all_candidates
for page in self._get_pages(url_locations, project_name):
  File "/usr/lib/python3/dist-packages/pip/index.py", line 568, in _get_pages
page = self._get_page(location)
  File "/usr/lib/python3/dist-packages/pip/index.py", line 683, in _get_page
return HTMLPage.get_page(link, session=self.session)
  File "/usr/lib/python3/dist-packages/pip/index.py", line 795, in get_page
resp.raise_for_status()
  File 
"/usr/share/python-wheels/requests-2.18.4-py2.py3-none-any.whl/requests/models.py",
 line 935, in raise_for_status
raise HTTPError(http_error_msg, response=self)
requests.exceptions.HTTPError: 404 Client Error: Not Found for url: 
https://pypi.org/simple/talos-mrt/

After:

$ pip3 install --trusted-host packages.[redacted].com --extra-index-url 
http://packages.[redacted].com/software/python --extra-index-url 
https://[redacted].com/pypi/simple/ talos-mrt
Collecting talos-mrt
  Downloading 
http://packages.[redacted].com/software/python/talos-mrt/talos-mrt-1.0.1.tar.gz 
(40kB)
...
Building wheels for collected packages: talos-mrt, ...
...
Successfully built talos-mrt ...


Thanks!

-- 
You received this bug notification because you are a member of Ubuntu
Bugs, which is subscribed to Ubuntu.
https://bugs.launchpad.net/bugs/1833229

Title:
  `--extra-index-url` not working for PIP

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/python-pip/+bug/1833229/+subscriptions

-- 
ubuntu-bugs mailing list
ubuntu-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/ubuntu-bugs

[Bug 1833229] Re: `--extra-index-url` not working for PIP

2020-02-14 Thread James Page
Right - I was able to reproduce this issue on focal using:

python3 -m venv /tmp/test3env
source /tmp/test3env/bin/activate
pip install wheel
pip install --index-url https://test.pypi.org/simple/ --extra-index-url 
https://pypi.org/simple pytopo==1.6.1

(thanks for that)

However with the patched package in the PPA, I now hit a completely
different problem with the test case which looks related to the patch:

Traceback (most recent call last):
  File "/usr/lib/python3.8/ensurepip/__init__.py", line 54, in _run_pip
import pip._internal
  File "", line 259, in load_module
  File 
"/tmp/tmpzye4xja3/pip-18.1-py2.py3-none-any.whl/pip/_internal/__init__.py", 
line 40, in 
  File "", line 259, in load_module
  File 
"/tmp/tmpzye4xja3/pip-18.1-py2.py3-none-any.whl/pip/_internal/cli/autocompletion.py",
 line 8, in 
  File "", line 259, in load_module
  File 
"/tmp/tmpzye4xja3/pip-18.1-py2.py3-none-any.whl/pip/_internal/cli/main_parser.py",
 line 8, in 
  File "", line 259, in load_module
  File 
"/tmp/tmpzye4xja3/pip-18.1-py2.py3-none-any.whl/pip/_internal/cli/cmdoptions.py",
 line 22, in 
  File "", line 259, in load_module
  File 
"/tmp/tmpzye4xja3/pip-18.1-py2.py3-none-any.whl/pip/_internal/utils/ui.py", 
line 15, in 
ModuleNotFoundError: No module named 'pip._vendor.progress.helpers'

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/lib/python3.8/runpy.py", line 193, in _run_module_as_main
return _run_code(code, main_globals, None,
  File "/usr/lib/python3.8/runpy.py", line 86, in _run_code
exec(code, run_globals)
  File "/usr/lib/python3.8/ensurepip/__main__.py", line 5, in 
sys.exit(ensurepip._main())
  File "/usr/lib/python3.8/ensurepip/__init__.py", line 263, in _main
return _bootstrap(
  File "/usr/lib/python3.8/ensurepip/__init__.py", line 181, in _bootstrap
return _run_pip(args + _PROJECTS, additional_paths)
  File "/usr/lib/python3.8/ensurepip/__init__.py", line 58, in _run_pip
return pip.main(args)
AttributeError: module 'pip' has no attribute 'main'

-- 
You received this bug notification because you are a member of Ubuntu
Bugs, which is subscribed to Ubuntu.
https://bugs.launchpad.net/bugs/1833229

Title:
  `--extra-index-url` not working for PIP

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/python-pip/+bug/1833229/+subscriptions

-- 
ubuntu-bugs mailing list
ubuntu-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/ubuntu-bugs

[Bug 1833229] Re: `--extra-index-url` not working for PIP

2020-02-14 Thread James Page
pip right through to Ubuntu development appears to be missing part of
the fix for this problem so I've picked fixes for bionic/eoan/focal
into:

  https://launchpad.net/~ci-train-ppa-service/+archive/ubuntu/3690

I'm still not able to reproduce this issue but please test and see if
the proposed version resolves this issue with the test case in #16.

-- 
You received this bug notification because you are a member of Ubuntu
Bugs, which is subscribed to Ubuntu.
https://bugs.launchpad.net/bugs/1833229

Title:
  `--extra-index-url` not working for PIP

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/python-pip/+bug/1833229/+subscriptions

-- 
ubuntu-bugs mailing list
ubuntu-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/ubuntu-bugs

[Bug 1833229] Re: `--extra-index-url` not working for PIP

2020-02-13 Thread James Page
sorry - I missed this update - looking now!

-- 
You received this bug notification because you are a member of Ubuntu
Bugs, which is subscribed to Ubuntu.
https://bugs.launchpad.net/bugs/1833229

Title:
  `--extra-index-url` not working for PIP

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/python-pip/+bug/1833229/+subscriptions

-- 
ubuntu-bugs mailing list
ubuntu-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/ubuntu-bugs

[Bug 1833229] Re: `--extra-index-url` not working for PIP

2020-02-13 Thread chbrosso
@james-page (or any other maintainer), did you have a chance to look at
the patch? I'm pretty confident it solves the issue.

-- 
You received this bug notification because you are a member of Ubuntu
Bugs, which is subscribed to Ubuntu.
https://bugs.launchpad.net/bugs/1833229

Title:
  `--extra-index-url` not working for PIP

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/python-pip/+bug/1833229/+subscriptions

-- 
ubuntu-bugs mailing list
ubuntu-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/ubuntu-bugs

[Bug 1833229] Re: `--extra-index-url` not working for PIP

2020-01-14 Thread Ubuntu Foundations Team Bug Bot
The attachment "Fix-1833229.patch" seems to be a patch.  If it isn't,
please remove the "patch" flag from the attachment, remove the "patch"
tag, and if you are a member of the ~ubuntu-reviewers, unsubscribe the
team.

[This is an automated message performed by a Launchpad user owned by
~brian-murray, for any issues please contact him.]

** Tags added: patch

-- 
You received this bug notification because you are a member of Ubuntu
Bugs, which is subscribed to Ubuntu.
https://bugs.launchpad.net/bugs/1833229

Title:
  `--extra-index-url` not working for PIP

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/python-pip/+bug/1833229/+subscriptions

-- 
ubuntu-bugs mailing list
ubuntu-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/ubuntu-bugs

[Bug 1833229] Re: `--extra-index-url` not working for PIP

2020-01-14 Thread chbrosso
A simple command to test for the issue is pip install --index-url
https://test.pypi.org/simple/ --extra-index-url https://pypi.org/simple
simplejson==3.17

@james-page I tested your proposed PPA with this command, and the issue
is still here.

I gave a shot to this, and generated a patch from the upstream pull
request https://github.com/pypa/pip/pull/6367. I could test it by
getting source package, patching it, and building it back, I can confirm
that the issue is fixed this way.

I'm unable to further propose a new package as I'm not used to
contributing fixes, but would be happy to if necessary.

** Patch added: "Fix-1833229.patch"
   
https://bugs.launchpad.net/ubuntu/+source/python-pip/+bug/1833229/+attachment/5320130/+files/Fix-1833229.patch

-- 
You received this bug notification because you are a member of Ubuntu
Bugs, which is subscribed to Ubuntu.
https://bugs.launchpad.net/bugs/1833229

Title:
  `--extra-index-url` not working for PIP

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/python-pip/+bug/1833229/+subscriptions

-- 
ubuntu-bugs mailing list
ubuntu-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/ubuntu-bugs

[Bug 1833229] Re: `--extra-index-url` not working for PIP

2020-01-14 Thread chbrosso
** Changed in: python-pip (Ubuntu)
   Status: Incomplete => Confirmed

-- 
You received this bug notification because you are a member of Ubuntu
Bugs, which is subscribed to Ubuntu.
https://bugs.launchpad.net/bugs/1833229

Title:
  `--extra-index-url` not working for PIP

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/python-pip/+bug/1833229/+subscriptions

-- 
ubuntu-bugs mailing list
ubuntu-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/ubuntu-bugs

[Bug 1833229] Re: `--extra-index-url` not working for PIP

2019-12-16 Thread Akkana Peck
This might be a simpler way to reproduce it. I uploaded a package to
test.pypi and wanted to use --extra-index-url to verify that its
dependencies are pulled in (it has dependencies that are in pypi but not
in test.pypi). Here are my steps to reproduce it:

python3 -m venv /tmp/test3env
source /tmp/test3env/bin/activate
pip install wheel
pip install --index-url https://test.pypi.org/simple/ --extra-index-url 
https://pypi.org/simple pytopo==1.6.1

which gives the error:

Could not install packages due to an EnvironmentError: 404 Client Error:
Not Found for url: https://test.pypi.org/simple/pycairo/

Sometimes it errors on a different package, not always pycairo, but the
rest of the error is the same. I filed
https://github.com/pypa/pip/issues/7486 upstream and I suspect they're
right that it's the same issue as this Ubuntu bug (I'm on 19.10).

** Bug watch added: github.com/pypa/pip/issues #7486
   https://github.com/pypa/pip/issues/7486

-- 
You received this bug notification because you are a member of Ubuntu
Bugs, which is subscribed to Ubuntu.
https://bugs.launchpad.net/bugs/1833229

Title:
  `--extra-index-url` not working for PIP

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/python-pip/+bug/1833229/+subscriptions

-- 
ubuntu-bugs mailing list
ubuntu-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/ubuntu-bugs

[Bug 1833229] Re: `--extra-index-url` not working for PIP

2019-12-09 Thread chbrosso
It looks like the upstream issue is here, and it mentions that it's a
vendoring issue:

https://github.com/pypa/pip/issues/6799


** Bug watch added: github.com/pypa/pip/issues #6799
   https://github.com/pypa/pip/issues/6799

-- 
You received this bug notification because you are a member of Ubuntu
Bugs, which is subscribed to Ubuntu.
https://bugs.launchpad.net/bugs/1833229

Title:
  `--extra-index-url` not working for PIP

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/python-pip/+bug/1833229/+subscriptions

-- 
ubuntu-bugs mailing list
ubuntu-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/ubuntu-bugs

[Bug 1833229] Re: `--extra-index-url` not working for PIP

2019-11-06 Thread Marc Mercer
@james-page -- Please ping me on freenode (Daemoen) on the ubuntu
channel.  I have created a user for you to test against our repository
host, as hopefully that should simplify this a bit.  I can provide you
all of the details for the configuration needed, but don't want to
provide them here as this is a public medium.  I just tested the
credentials and ensured that it will allow you to replicate the issue as
the rest of us see it.

-- 
You received this bug notification because you are a member of Ubuntu
Bugs, which is subscribed to Ubuntu.
https://bugs.launchpad.net/bugs/1833229

Title:
  `--extra-index-url` not working for PIP

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/python-pip/+bug/1833229/+subscriptions

-- 
ubuntu-bugs mailing list
ubuntu-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/ubuntu-bugs

[Bug 1833229] Re: `--extra-index-url` not working for PIP

2019-09-26 Thread Marc Mercer
@james-page  Tested -- not fixed

root@vagrant:/etc# dpkg -l | grep pip
ii  libpipeline1:amd641.5.0-1   
  amd64pipeline manipulation library
ii  python-pip
9.0.1-2.3~ubuntu1.18.04.2~ubuntu18.04.1~ppa201909251252 all  Python 
package installer
ii  python-pip-whl
9.0.1-2.3~ubuntu1.18.04.2~ubuntu18.04.1~ppa201909251252 all  Python 
package installer
ii  python3-pip   
9.0.1-2.3~ubuntu1.18.04.2~ubuntu18.04.1~ppa201909251252 all  Python 
package installer
root@vagrant:/etc# pip install ansible==2.8.0
Collecting ansible==2.8.0
Exception:
Traceback (most recent call last):
  File "/usr/lib/python2.7/dist-packages/pip/basecommand.py", line 215, in main
status = self.run(options, args)
  File "/usr/lib/python2.7/dist-packages/pip/commands/install.py", line 353, in 
run
wb.build(autobuilding=True)
  File "/usr/lib/python2.7/dist-packages/pip/wheel.py", line 749, in build
self.requirement_set.prepare_files(self.finder)
  File "/usr/lib/python2.7/dist-packages/pip/req/req_set.py", line 380, in 
prepare_files
ignore_dependencies=self.ignore_dependencies))
  File "/usr/lib/python2.7/dist-packages/pip/req/req_set.py", line 554, in 
_prepare_file
require_hashes
  File "/usr/lib/python2.7/dist-packages/pip/req/req_install.py", line 278, in 
populate_link
self.link = finder.find_requirement(self, upgrade)
  File "/usr/lib/python2.7/dist-packages/pip/index.py", line 465, in 
find_requirement
all_candidates = self.find_all_candidates(req.name)
  File "/usr/lib/python2.7/dist-packages/pip/index.py", line 423, in 
find_all_candidates
for page in self._get_pages(url_locations, project_name):
  File "/usr/lib/python2.7/dist-packages/pip/index.py", line 568, in _get_pages
page = self._get_page(location)
  File "/usr/lib/python2.7/dist-packages/pip/index.py", line 683, in _get_page
return HTMLPage.get_page(link, session=self.session)
  File "/usr/lib/python2.7/dist-packages/pip/index.py", line 795, in get_page
resp.raise_for_status()
  File 
"/usr/share/python-wheels/requests-2.18.4-py2.py3-none-any.whl/requests/models.py",
 line 935, in raise_for_status
raise HTTPError(http_error_msg, response=self)
HTTPError: 404 Client Error: Not Found for url: 
https://artifacts.ourdomain.com/repository/pypi-release/simple/ansible/

-- 
You received this bug notification because you are a member of Ubuntu
Bugs, which is subscribed to Ubuntu.
https://bugs.launchpad.net/bugs/1833229

Title:
  `--extra-index-url` not working for PIP

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/python-pip/+bug/1833229/+subscriptions

-- 
ubuntu-bugs mailing list
ubuntu-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/ubuntu-bugs

[Bug 1833229] Re: `--extra-index-url` not working for PIP

2019-09-26 Thread James Page
** Changed in: python-pip (Ubuntu)
   Status: New => Incomplete

** Changed in: python-pip (Ubuntu)
 Assignee: (unassigned) => James Page (james-page)

-- 
You received this bug notification because you are a member of Ubuntu
Bugs, which is subscribed to Ubuntu.
https://bugs.launchpad.net/bugs/1833229

Title:
  `--extra-index-url` not working for PIP

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/python-pip/+bug/1833229/+subscriptions

-- 
ubuntu-bugs mailing list
ubuntu-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/ubuntu-bugs

[Bug 1833229] Re: `--extra-index-url` not working for PIP

2019-09-25 Thread James Page
** Changed in: python-pip (Ubuntu)
   Status: Incomplete => New

** Changed in: python-pip (Ubuntu)
   Importance: Undecided => High

-- 
You received this bug notification because you are a member of Ubuntu
Bugs, which is subscribed to Ubuntu.
https://bugs.launchpad.net/bugs/1833229

Title:
  `--extra-index-url` not working for PIP

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/python-pip/+bug/1833229/+subscriptions

-- 
ubuntu-bugs mailing list
ubuntu-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/ubuntu-bugs

[Bug 1833229] Re: `--extra-index-url` not working for PIP

2019-09-25 Thread James Page
I believe this is something todo with missing vendor pathing for
requests.exceptions.

I've picked the commit in #10 into the bionic package and uploaded to:

  https://launchpad.net/~ci-train-ppa-service/+archive/ubuntu/3690

as I'm unable to reproduce the issue it would be helpful if one of the
impacted bug participants could verify it resolves the issue.

-- 
You received this bug notification because you are a member of Ubuntu
Bugs, which is subscribed to Ubuntu.
https://bugs.launchpad.net/bugs/1833229

Title:
  `--extra-index-url` not working for PIP

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/python-pip/+bug/1833229/+subscriptions

-- 
ubuntu-bugs mailing list
ubuntu-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/ubuntu-bugs

[Bug 1833229] Re: `--extra-index-url` not working for PIP

2019-09-25 Thread James Page
https://github.com/pypa/pip/commit/e4936da2e1b62c33f0ed9034f5c984ae17e38e86
might be related - I'll prepare a test package to see if that drives the
correct behaviour in all cases.

-- 
You received this bug notification because you are a member of Ubuntu
Bugs, which is subscribed to Ubuntu.
https://bugs.launchpad.net/bugs/1833229

Title:
  `--extra-index-url` not working for PIP

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/python-pip/+bug/1833229/+subscriptions

-- 
ubuntu-bugs mailing list
ubuntu-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/ubuntu-bugs

[Bug 1833229] Re: `--extra-index-url` not working for PIP

2019-09-25 Thread James Page
The exception drives the behaviour so the behaviour and the incorrect
exception class are linked - the pip index.py code is mismatching on the
type HTTPError resulting in an unhandled exception and the behaviour you
are seeing.

I can't reproduce this at the moment so there must be something we're
missing.

-- 
You received this bug notification because you are a member of Ubuntu
Bugs, which is subscribed to Ubuntu.
https://bugs.launchpad.net/bugs/1833229

Title:
  `--extra-index-url` not working for PIP

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/python-pip/+bug/1833229/+subscriptions

-- 
ubuntu-bugs mailing list
ubuntu-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/ubuntu-bugs

[Bug 1833229] Re: `--extra-index-url` not working for PIP

2019-09-24 Thread Marc Mercer
@james-page I think the thing being overlooked is what it is doing, not
wether or not the exception is correct.  In our case, we have
repositories that have some artifacts, and repositories that may have
other artifacts... (and once in a rare while, overlap with different
versions)..   If we request a package that does *not* exist in the
custom urls, then it will fail completely, instead of passing with the
only failure being on that one repository.  By default, it should check
each of the repositories, see if they have it, etc..  It seems to be
checking them all, but if *any* of them fails to have an artifact being
requested, the entire pip operation implodes, even if the package *is*
available in a different repository successfully prior to the fetching
of the failed repo.

-- 
You received this bug notification because you are a member of Ubuntu
Bugs, which is subscribed to Ubuntu.
https://bugs.launchpad.net/bugs/1833229

Title:
  `--extra-index-url` not working for PIP

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/python-pip/+bug/1833229/+subscriptions

-- 
ubuntu-bugs mailing list
ubuntu-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/ubuntu-bugs

[Bug 1833229] Re: `--extra-index-url` not working for PIP

2019-09-24 Thread James Page
** Changed in: python-pip (Ubuntu)
   Status: Confirmed => Incomplete

-- 
You received this bug notification because you are a member of Ubuntu
Bugs, which is subscribed to Ubuntu.
https://bugs.launchpad.net/bugs/1833229

Title:
  `--extra-index-url` not working for PIP

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/python-pip/+bug/1833229/+subscriptions

-- 
ubuntu-bugs mailing list
ubuntu-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/ubuntu-bugs

[Bug 1833229] Re: `--extra-index-url` not working for PIP

2019-09-24 Thread James Page
Struggling to reproduce this issue; I've setup a test instance with a
extra-index-url which points to an empty index; this throws a 404 when
accessed for the modules being requested but the exception handler is
correctly catching the exception, falling back to the main package
index.

-- 
You received this bug notification because you are a member of Ubuntu
Bugs, which is subscribed to Ubuntu.
https://bugs.launchpad.net/bugs/1833229

Title:
  `--extra-index-url` not working for PIP

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/python-pip/+bug/1833229/+subscriptions

-- 
ubuntu-bugs mailing list
ubuntu-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/ubuntu-bugs

[Bug 1833229] Re: `--extra-index-url` not working for PIP

2019-09-24 Thread James Page
404 Client Error: Not Found for url: 
http://mirror.dfw.rax.openstack.org/wheel/urllib3/
Traceback (most recent call last):
  File "/root/pip-latest/lib/python3.6/site-packages/pip/index.py", line 796, 
in get_page
resp.raise_for_status()
  File 
"/root/pip-latest/share/python-wheels/requests-2.18.4-py2.py3-none-any.whl/requests/models.py",
 line 935, in raise_for_status
raise HTTPError(http_error_msg, response=self)
pip._vendor.requests.exceptions.HTTPError: 404 Client Error: Not Found for url: 
http://mirror.dfw.rax.openstack.org/wheel/urllib3/

As you can see the correct/vendor path-ed exception is being raised and
caught.

-- 
You received this bug notification because you are a member of Ubuntu
Bugs, which is subscribed to Ubuntu.
https://bugs.launchpad.net/bugs/1833229

Title:
  `--extra-index-url` not working for PIP

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/python-pip/+bug/1833229/+subscriptions

-- 
ubuntu-bugs mailing list
ubuntu-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/ubuntu-bugs

[Bug 1833229] Re: `--extra-index-url` not working for PIP

2019-09-24 Thread James Page
I'm slightly baffled by this as the original bug report and associated
fix resolved an issue where:

  requests.exceptions.HTTPError

was not the same as requests.HTTPError in the distro packaging - but the
exception raised in this bug report infers that something is still wonky
in the debundling of the vendored requests...

-- 
You received this bug notification because you are a member of Ubuntu
Bugs, which is subscribed to Ubuntu.
https://bugs.launchpad.net/bugs/1833229

Title:
  `--extra-index-url` not working for PIP

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/python-pip/+bug/1833229/+subscriptions

-- 
ubuntu-bugs mailing list
ubuntu-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/ubuntu-bugs

[Bug 1833229] Re: `--extra-index-url` not working for PIP

2019-09-15 Thread Johnny
Can Confirm. Using a private PyPI repo in my company.

pip install --extra-index-url=https://pypi.pipelineservices.alertlogic.com alps
Collecting alps
Exception:
Traceback (most recent call last):
  File "/usr/lib/python2.7/dist-packages/pip/basecommand.py", line 215, in main
status = self.run(options, args)
  File "/usr/lib/python2.7/dist-packages/pip/commands/install.py", line 353, in 
run
wb.build(autobuilding=True)
  File "/usr/lib/python2.7/dist-packages/pip/wheel.py", line 749, in build
self.requirement_set.prepare_files(self.finder)
  File "/usr/lib/python2.7/dist-packages/pip/req/req_set.py", line 380, in 
prepare_files
ignore_dependencies=self.ignore_dependencies))
  File "/usr/lib/python2.7/dist-packages/pip/req/req_set.py", line 554, in 
_prepare_file
require_hashes
  File "/usr/lib/python2.7/dist-packages/pip/req/req_install.py", line 278, in 
populate_link
self.link = finder.find_requirement(self, upgrade)
  File "/usr/lib/python2.7/dist-packages/pip/index.py", line 465, in 
find_requirement   
all_candidates = self.find_all_candidates(req.name)
  File "/usr/lib/python2.7/dist-packages/pip/index.py", line 423, in 
find_all_candidates
for page in self._get_pages(url_locations, project_name):
  File "/usr/lib/python2.7/dist-packages/pip/index.py", line 568, in _get_pages
page = self._get_page(location)
  File "/usr/lib/python2.7/dist-packages/pip/index.py", line 683, in _get_page
return HTMLPage.get_page(link, session=self.session)
  File "/usr/lib/python2.7/dist-packages/pip/index.py", line 795, in get_page
resp.raise_for_status()
  File 
"/usr/share/python-wheels/requests-2.18.4-py2.py3-none-any.whl/requests/models.py",
 line 935, in raise_for_status
raise HTTPError(http_error_msg, response=self)
HTTPError: 404 Client Error: Not Found for url: https://pypi.org/simple/alps/
  File "/usr/lib/python3/dist-packages/pip/req/req_set.py", line 554, in 
_prepare_file
require_hashes
  File "/usr/lib/python3/dist-packages/pip/req/req_install.py", line 278, in 
populate_link
self.link = finder.find_requirement(self, upgrade)
  File "/usr/lib/python3/dist-packages/pip/index.py", line 465, in 
find_requirement
all_candidates = self.find_all_candidates(req.name)
  File "/usr/lib/python3/dist-packages/pip/index.py", line 423, in 
find_all_candidates
for page in self._get_pages(url_locations, project_name):
  File "/usr/lib/python3/dist-packages/pip/index.py", line 568, in _get_pages
page = self._get_page(location)
  File "/usr/lib/python3/dist-packages/pip/index.py", line 683, in _get_page
return HTMLPage.get_page(link, session=self.session)
  File "/usr/lib/python3/dist-packages/pip/index.py", line 795, in get_page
resp.raise_for_status()
  File 
"/usr/share/python-wheels/requests-2.18.4-py2.py3-none-any.whl/requests/models.py",
 line 935, in raise_for_status
raise HTTPError(http_error_msg, response=self)
requests.exceptions.HTTPError: 404 Client Error: Not Found for url: 
https://pypi.org/simple/alps/


lsb_release -rd
Description:Ubuntu 18.04.3 LTS
Release:18.04

Using WLS form Windows 10

-- 
You received this bug notification because you are a member of Ubuntu
Bugs, which is subscribed to Ubuntu.
https://bugs.launchpad.net/bugs/1833229

Title:
  `--extra-index-url` not working for PIP

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/python-pip/+bug/1833229/+subscriptions

-- 
ubuntu-bugs mailing list
ubuntu-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/ubuntu-bugs

[Bug 1833229] Re: `--extra-index-url` not working for PIP

2019-09-06 Thread Seth Arnold
** Tags added: regression-update

-- 
You received this bug notification because you are a member of Ubuntu
Bugs, which is subscribed to Ubuntu.
https://bugs.launchpad.net/bugs/1833229

Title:
  `--extra-index-url` not working for PIP

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/python-pip/+bug/1833229/+subscriptions

-- 
ubuntu-bugs mailing list
ubuntu-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/ubuntu-bugs

[Bug 1833229] Re: `--extra-index-url` not working for PIP

2019-09-03 Thread Marc Mercer
Can confirm here as well.  I also tested the pip/whl builds from
universal which are at 18.x -- these unfortunately have the exact same
issue.  Was hoping maybe they had moved past it, which suggests that the
issue is with the unvendored requests, as opposed to pip itself.
https://bugs.launchpad.net/ubuntu/+source/python-pip/+bug/1842120 can be
marked as a duplicate of this.

-- 
You received this bug notification because you are a member of Ubuntu
Bugs, which is subscribed to Ubuntu.
https://bugs.launchpad.net/bugs/1833229

Title:
  `--extra-index-url` not working for PIP

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/python-pip/+bug/1833229/+subscriptions

-- 
ubuntu-bugs mailing list
ubuntu-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/ubuntu-bugs

[Bug 1833229] Re: `--extra-index-url` not working for PIP

2019-07-02 Thread Valtteri Mäkelä
Confirmed also with Mint 19.1 with latest packages, if using our
internal pypi server. Creating a plain py3 virtualenv fails:

$ virtualenv testenv --python python3

Fails with:

  File 
"/home/user/testenv/share/python-wheels/requests-2.18.4-py2.py3-none-any.whl/requests/models.py",
 line 935, in raise_for_status
raise HTTPError(http_error_msg, response=self)
requests.exceptions.HTTPError: 404 Client Error: Not Found for url: 
https://pypi.internal.com/simple/setuptools/

Disabling the internal pypi server from ~/.pip/pip.conf works, but of
course removes access to internal packages.

Downgrading to previous version as suggested by Daniel Anderson resolved
the issue:

sudo apt install python3-pip=9.0.1-2 python-pip-whl=9.0.1-2

-- 
You received this bug notification because you are a member of Ubuntu
Bugs, which is subscribed to Ubuntu.
https://bugs.launchpad.net/bugs/1833229

Title:
  `--extra-index-url` not working for PIP

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/python-pip/+bug/1833229/+subscriptions

-- 
ubuntu-bugs mailing list
ubuntu-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/ubuntu-bugs

[Bug 1833229] Re: `--extra-index-url` not working for PIP

2019-06-18 Thread Launchpad Bug Tracker
Status changed to 'Confirmed' because the bug affects multiple users.

** Changed in: python-pip (Ubuntu)
   Status: New => Confirmed

-- 
You received this bug notification because you are a member of Ubuntu
Bugs, which is subscribed to Ubuntu.
https://bugs.launchpad.net/bugs/1833229

Title:
  `--extra-index-url` not working for PIP

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/python-pip/+bug/1833229/+subscriptions

-- 
ubuntu-bugs mailing list
ubuntu-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/ubuntu-bugs